//
//  NoDuplo.h
//  Classe Template "NoDuplo"
//
//  Created by Carlos Santos
//

#ifndef NoDuplo_h
#define NoDuplo_h

#include <stdlib.h>

template <class T>
class NoDuplo {
public:
    // Construtor da classe que pode receber o novo elemento e os apontadores seguinte e anterior
    // Por omissão, o elemento ficará vazio e os apontadores a NULL
    NoDuplo(const T &e = T(), NoDuplo *s = NULL, NoDuplo *a = NULL) : elemento(e), seguinte(s), anterior(a) {}
    ~NoDuplo() {}
    
    // Declaram-se o elemento do tipo T e os apontadores seguinte a anterior
    T elemento;
    NoDuplo *seguinte;
    NoDuplo *anterior;
    
};

#endif
