//
//  main.cpp
//
//  Created by Carlos Santos
//

#include <iostream>
#include "lista_inteiros.h"
#include "agenda.h"

using namespace std;

int main() {
    
    char menu = ' ';
    
    while (menu!='0') {
        cout << endl << "=== MENU PRINCIPAL ===" << endl;
        cout << "1 - Lista de inteiros" << endl;
        cout << "2 - Agenda" << endl;
        cout << "0 - Sair do programa" << endl;
        if (!(cin >> menu)) {
            // Se foram introduzidos caracteres incorrectos, limpa o estado de erro e ignora os caracteres
            cin.clear();
            cin.ignore(10000, '\n');
            menu = ' ';
        }
        switch (menu) {
            case '0':
                break;
            case '1':
                lista_inteiros();
                break;
            case '2':
                agenda();
                break;
            default:
                cout << "Opção inválida" << endl;
                break;
        }
    }
    
    cout << endl << "Fim do programa" << endl << endl;
    return 0;
    
}
